Skip to content

/apps/{appId}/domains (POST)

POST
/apps/{appId}/domains
curl --request POST \
--url https://example.com/api/v1/apps/example/domains \
--header 'Content-Type: application/json' \
--data '{ "fqdn": "example", "https": true }'
appId
required
string
Media type application/json
object
fqdn
required
string
>= 1 characters <= 253 characters
https
boolean
Example generated
{
"fqdn": "example",
"https": true
}

Default Response

Media type application/json
object
id
required
string
appId
required
string
fqdn
required
string
https
required
boolean
certStatus
required
Any of:
string
Allowed values: pending
isPrimary
required
boolean
createdAt
required
string format: date-time
Example
{
"certStatus": "pending"
}

Default Response

Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"code": "example",
"detail": "example",
"instance": "example",
"errors": [
{
"path": "example",
"message": "example"
}
]
}

Default Response

Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"code": "example",
"detail": "example",
"instance": "example",
"errors": [
{
"path": "example",
"message": "example"
}
]
}